
From: Andreas Gruenbacher <agruen@suse.de>

Return EOPNOTSUPP rather than EINVAL when we discover an ACL version
mismatch.


---

 25-akpm/fs/xattr_acl.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/xattr_acl.c~acl-version-mismatch fs/xattr_acl.c
--- 25/fs/xattr_acl.c~acl-version-mismatch	2004-04-04 18:28:22.487652984 -0700
+++ 25-akpm/fs/xattr_acl.c	2004-04-04 18:28:22.490652528 -0700
@@ -29,7 +29,7 @@ posix_acl_from_xattr(const void *value, 
 	if (size < sizeof(posix_acl_xattr_header))
 		 return ERR_PTR(-EINVAL);
 	if (header->a_version != cpu_to_le32(POSIX_ACL_XATTR_VERSION))
-		return ERR_PTR(-EINVAL);
+		return ERR_PTR(-EOPNOTSUPP);
 
 	count = posix_acl_xattr_count(size);
 	if (count < 0)

_
